Package eu.mhsl.minenet.gameList.world.instance.room

# Class RoomInstance

java.lang.Object
net.minestom.server.instance.Instance
net.minestom.server.instance.InstanceContainer
eu.mhsl.minenet.gameList.world.instance.room.Room

All Implemented Interfaces:
  `Spawnable`, `net.kyori.adventure.audience.Audience`, `net.kyori.adventure.audience.ForwardingAudience`, `net.kyori.adventure.pointer.Pointered`, `net.minestom.server.adventure.audience.PacketGroupingAudience`, `net.minestom.server.event.EventHandler<net.minestom.server.event.trait.InstanceEvent>`, `net.minestom.server.instance.block.Block.Getter`, `net.minestom.server.instance.block.Block.Setter`, `net.minestom.server.snapshot.Snapshotable`, `net.minestom.server.tag.Taggable`, `net.minestom.server.tag.TagReadable`, `net.minestom.server.tag.TagWritable`, `net.minestom.server.Tickable`, `net.minestom.server.timer.Schedulable`

public class RoomInstance extends net.minestom.server.instance.InstanceContainer implements Spawnable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface net.minestom.server.instance.block.Block.Getter

  `net.minestom.server.instance.block.Block.Getter.Condition`

  ## Nested classes/interfaces inherited from interface net.kyori.adventure.audience.ForwardingAudience

  `net.kyori.adventure.audience.ForwardingAudience.Single`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static Map<net.minestom.server.entity.Player,RoomInstance>`
  `rooms`

  ### Fields inherited from class net.minestom.server.instance.InstanceContainer

  `srcInstance`

  ### Fields inherited from class net.minestom.server.instance.Instance

  `uniqueId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RoomInstance(net.minestom.server.entity.Player owner)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RoomInstance`
  `findRoom(net.minestom.server.entity.Player p)`
  `net.minestom.server.entity.Player`
  `getOwner()`
  `net.minestom.server.coordinate.Pos`
  `getSpawn()`
  `void`
  `moveToGame(Game game)`

  ### Methods inherited from class net.minestom.server.instance.InstanceContainer

  `addSharedInstance, breakBlock, copy, createChunk, enableAutoChunkLoad, generator, getChunk, getChunkLoader, getChunks, getChunkSupplier, getLastBlockChangeTime, getSharedInstances, getSrcInstance, hasEnabledAutoChunkLoad, hasSharedInstances, isInVoid, loadChunk, loadOptionalChunk, placeBlock, refreshLastBlockChangeTime, retrieveChunk, saveChunksToStorage, saveChunkToStorage, saveInstance, setBlock, setChunkLoader, setChunkSupplier, setGenerator, tick, unloadChunk`

  ### Methods inherited from class net.minestom.server.instance.Instance

  `createTimePacket, eventNode, explode, explode, getBlock, getChunkAt, getChunkAt, getChunkEntities, getCreatures, getDimensionType, getEntities, getEntityTracker, getExperienceOrbs, getExplosionSupplier, getInstanceSpace, getNearbyEntities, getPlayers, getTime, getTimeRate, getTimeUpdate, getUniqueId, getWorldAge, getWorldBorder, isChunkLoaded, isChunkLoaded, isRegistered, loadChunk, loadOptionalChunk, pointers, scheduleNextTick, scheduler, sendBlockAction, setChunkGenerator, setExplosionSupplier, setRegistered, setTime, setTimeRate, setTimeUpdate, tagHandler, unloadChunk, updateSnapshot`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface net.kyori.adventure.audience.Audience

  `openBook, sendActionBar, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeaderAndFooter, showTitle, stopSound`

  ### Methods inherited from interface net.minestom.server.instance.block.Block.Getter

  `getBlock, getBlock, getBlock`

  ### Methods inherited from interface net.minestom.server.instance.block.Block.Setter

  `setBlock`

  ### Methods inherited from interface net.kyori.adventure.audience.ForwardingAudience

  `filterAudience, forEachAudience, openBook, playSound, sendMessage, sendPlayerListFooter, sendPlayerListHeader`

  ### Methods inherited from interface net.minestom.server.adventure.audience.PacketGroupingAudience

  `audiences, clearTitle, hideBossBar, playSound, playSound, resetTitle, sendActionBar, sendGroupedPacket, sendMessage, sendPlayerListHeaderAndFooter, sendTitlePart, showBossBar, stopSound`

  ### Methods inherited from interface net.kyori.adventure.pointer.Pointered

  `get, getOrDefault, getOrDefaultFrom`

  ### Methods inherited from interface net.minestom.server.tag.Taggable

  `getTag, hasTag, removeTag, setTag`

- ## Field Details

  - ### rooms

    public static Map<net.minestom.server.entity.Player,RoomInstance> rooms

- ## Constructor Details

  - ### RoomInstance

    public RoomInstance(net.minestom.server.entity.Player owner)

- ## Method Details

  - ### findRoom

    public static RoomInstance findRoom(net.minestom.server.entity.Player p)

  - ### getOwner

    public net.minestom.server.entity.Player getOwner()

  - ### moveToGame

    public void moveToGame(Game game)

  - ### getSpawn

    public net.minestom.server.coordinate.Pos getSpawn()
    Specified by:
      `getSpawn` in interface `Spawnable`